#define F_CPU 1000000UL
#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>

#define _BV(bit) (1 << (bit)) // _BV macro is not defined so define it here

void beep()
{
	for (char i = 100; i; i--)
	{
		DDRB |= _BV(PB3);_delay_ms(1);
		DDRB &= ~_BV(PB3);_delay_ms(1);
	}
}

void rest()
{
	_delay_ms(200);
}

void dot()
{
	beep();
	rest();
}

void dash()
{
	beep();
	beep();
	beep();
	rest();
}

void space()
{
	rest();
	rest();
	rest();
	rest();
}

void spaceWord()
{
	space();
	space();
}

int main()
{
	DDRB |=_BV(PB3);
	for (;;)
	{
		dash(); dash(); space(); // M
		dot(); space(); // E
		dash(); dot(); dash(); space(); // K
		dot(); dash(); dash(); space(); // W
		dot(); space(); // E
		dash(); dot(); dot(); space(); // B
		_delay_ms(1500); // silence
	}

	return 0;
}